/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-xbkk5vts3b] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-xbkk5vts3b] {
    flex: 1;
}

.sidebar[b-xbkk5vts3b] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-xbkk5vts3b] {
       background-color: #234581;
    color: white;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-xbkk5vts3b]  a, .top-row[b-xbkk5vts3b]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-xbkk5vts3b]  a:hover, .top-row[b-xbkk5vts3b]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-xbkk5vts3b]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }


@media (max-width: 640.98px) {
   

    .top-row[b-xbkk5vts3b]  a, .top-row[b-xbkk5vts3b]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
  

    .sidebar[b-xbkk5vts3b] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-xbkk5vts3b] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-xbkk5vts3b]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-xbkk5vts3b], article[b-xbkk5vts3b] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Shared/Adapters/FilesAdapter.razor.rz.scp.css */
.item-file-adapter[b-douhkx4kxu] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
    padding: 5px;
    border:1px solid transparent;
    min-width:120px;
    min-height:80px;
}
.file-icon[b-douhkx4kxu] {
    padding: 10px;
    border: 1px solid transparent;
    border-radius:5px;
}
    .file-icon:hover[b-douhkx4kxu] {
        border: 1px solid white;
    }
.item-file-adapter:hover[b-douhkx4kxu]{

    border-radius:5px;
    
    background-color:lightgray;
}
    .item-file-adapter:hover > .item-file-delele-container > .delete-container[b-douhkx4kxu] {
        display: flex;
    }
    .item-file-adapter:hover > .info-container[b-douhkx4kxu] {
        display: none;
    }
    .item-file-adapter:hover > .info-container-download[b-douhkx4kxu] {
        display: flex;
    }
    .file-icon[b-douhkx4kxu] {
        font-size: 1.5rem;
    }
    .delete-container:hover[b-douhkx4kxu]{
        border:1px solid white;
        background-color:red;
    }
.info-container[b-douhkx4kxu]{
    display:flex;
    flex-direction:column;
    height:100%;
    justify-content:center;
    align-items:center;
    gap:10px;
    text-decoration:none;
    color:black;
}
.info-container-download[b-douhkx4kxu] {
    display: none;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    align-items: center;
    gap: 10px;


}
.info-download[b-douhkx4kxu] {
    text-decoration: none;
    border-radius: 5px;

    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    background-color: #0d6efd;
}

.item-file-adapter span[b-douhkx4kxu] {
    font-size: 0.65rem;
    display: inline-block;
    max-width: 80px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.item-file-delele-container[b-douhkx4kxu] {
    display: flex;
    width: 100%;
    justify-content: end;
    padding: 5px;
    margin-bottom: -15px;
    min-height:30px;
}
.delete-container[b-douhkx4kxu] {
    cursor:pointer;
    justify-content: center;
    align-items: center;
    width: 20px;
    display: flex;
    height: 20px;
    border-radius: 15px;
    color: white;
    background-color: gray;
    display: none;
    font-size: 0.60rem;
}
.file-name[b-douhkx4kxu] {
    font-size: 0.85rem !important;
    text-align: center;
}
/* /Shared/Adapters/KeysAdapter.razor.rz.scp.css */
.key-adapter-container[b-zkdi7nebna] {
    display: flex;
    gap: 5px;
    flex-direction: column;
    width: 100%;
    justify-content: start;
    align-items: start;
}
.keys-title-container[b-zkdi7nebna]{
    display:flex;
    justify-content:center;
    align-items:center; 
}
.keys-key-container[b-zkdi7nebna]{
    display:flex;
    min-width:250px;

    align-items:center;
}
.keys-key[b-zkdi7nebna] {
    font-size: 0.75rem ;
}
.keys-title[b-zkdi7nebna] {
    font-size: 0.75rem;
}
.key-adapter-body[b-zkdi7nebna] {
    display: flex;
    gap: 10px;
}

@media(max-width:380px) {
    .key-adapter-container[b-zkdi7nebna] {
        flex-direction: column;
    }
}
/* /Shared/Components/BodyPage.razor.rz.scp.css */
.body-container[b-ffzrdfx4q7] {
    display: flex;
    height: 100%;
    padding: 20px;
    gap:20px;
    box-sizing: border-box;
}

.body-menu[b-ffzrdfx4q7] {
    width: 220px;
    border: 1px solid #ccc;
    position: relative;

    min-width: 240px;
    padding-top: 20px; /* espacio para el título flotante */
    background-color: #FAFAFA;
}

.body-menu-title[b-ffzrdfx4q7] {
    position: absolute;
    top: -12px;
    left: 16px;
    background-color: white;
    padding:0px 5px 0px 5px;
    font-weight: bold;
    font-size: 16px;
    color: #333;
}

.body-menu-content[b-ffzrdfx4q7] {
    padding: 6px;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.item-users-title-container[b-ffzrdfx4q7] {
    margin-bottom: 10px;
}


.body-main[b-ffzrdfx4q7] {
    flex-grow: 1;
    border: 1px solid #ccc;
    padding: 20px;
    border-radius: 4px;
    background-color: #FAFAFA;
}
/* /Shared/Components/Calendar.razor.rz.scp.css */
.previous-month-day[b-itln4nxhia] {
    color: gray;
}
.btn-month[b-itln4nxhia]{
    background-color:transparent;
    border:0px;
}
.day-of-week[b-itln4nxhia] {
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
}

.day-of-month[b-itln4nxhia]{
    display:flex;
    justify-content:center;
    width:100%;
    border:1px solid transparent;


}
    .day-of-month label[b-itln4nxhia]{
        margin:0px;
        font-size:0.8em;
        padding:6px;
        width:25px;
        height:25px;
        display:flex;
        align-items:center;
        justify-content:center;
        border:1px solid transparent;
    }
        .day-of-month label:hover[b-itln4nxhia] {
            border: 1px solid var(--calendarHoverColor);
            background-color: var(--calendarHoverColor);
            color: white;
        }
        .next-month-day[b-itln4nxhia] {
            color: gray;
        }
.calendar-days[b-itln4nxhia] {
    display: grid;
    grid-template-columns: repeat(7,1fr);
}
.calendar-week[b-itln4nxhia] {
    display: grid;
    grid-template-columns: repeat(7,1fr);
}

.calendar-header[b-itln4nxhia] {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.selected-date label[b-itln4nxhia] {
    background-color: red;
    color: white;
    font-weight: bold;
    border: 1px solid black;
}
    .selected-date label:hover[b-itln4nxhia] {
        background-color: red !important;
        color: white;
        font-weight: bold;
        border: 1px solid transparent;
    }
/* /Shared/Components/CalendarPicker.razor.rz.scp.css */

.calendar-container[b-6ipht1fm0l]{
    padding:5px;
}
.calendar-picker[b-6ipht1fm0l] {
    position: relative;
    display: inline-block;
    width: 100%;
    min-width: 264px;
    background-color:white;
}
.calendar-input[b-6ipht1fm0l] {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid var(--inputBorderColor);
    box-sizing: border-box;
    border-radius: 4px;
    padding:var(--calendarPadding);
}
    .calendar-input:focus[b-6ipht1fm0l], .calendar-input:active[b-6ipht1fm0l] {
        border: 1px solid var(--inputBorderColor) !important;
        outline: none;
        box-shadow: 0 0 0 0.1em var(--boxShandonwColor);
    }
    .calendar-input i[b-6ipht1fm0l]{
        padding-right:10px;

    }
    .calendar-buttons-container[b-6ipht1fm0l] {
        display: flex;
        justify-content: space-between;
        padding-left: 2px;
        padding-right: 2px;
        padding-top: 8px;
        padding-bottom: 8px;
    }
.calendar-btn[b-6ipht1fm0l]{
    border:0px;
    background-color:transparent;
    font-size:0.8em;
    color:gray;
}
    .calendar-btn:hover[b-6ipht1fm0l] {
        color: cornflowerblue;
    
    }
.text-box[b-6ipht1fm0l] {
    width: 100%;
    padding-right: 10px;
    padding-left: 10px;

    border: 0px;
}
    .calendar-input-icon[b-6ipht1fm0l]{
        color:lightgray;
    }
.calendar-input-icon:hover[b-6ipht1fm0l] {
    color: black;
}
    .text-box:focus[b-6ipht1fm0l], .text-box:active[b-6ipht1fm0l] {
        border: 0px !important;
        outline: none;
        box-shadow: none;
    }

.calendar-popup[b-6ipht1fm0l] {
    border: 1px solid lightgray;
    display: none;
    position: absolute;
    top: 100%; /* Ajusta la posición vertical según sea necesario */
    
    background-color: #f9f9f9;
    min-width: 160px;
    width: 220px;
    max-width:220px; /* Ajusta el ancho máximo según tus necesidades */
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding-top: 10px;
    z-index: 1;
}
/* /Shared/Components/CheckBox.razor.rz.scp.css */
.checkbox-container[b-2ef91d418y]
{
    width:100%;
}

.checkbox-title[b-2ef91d418y] {
    color: #707070;
    font-size: 14px;
}
/* /Shared/Components/CustomButton.razor.rz.scp.css */
.custom-buttom[b-e0wdzi7u0i] {
    display: flex;
    width: var(--buttonWidth);
    align-items: center;
    border-radius: 6px;
    border:var(--borderSize) solid;
    border-color:var(--borderColor);
    cursor: pointer;
    justify-content:center;
    align-items:center;
    font-weight:bold;
    padding:7.5px;
    color: var(--textColor);
    background-color: var(--backgroundColor);
}
    .custom-buttom:hover[b-e0wdzi7u0i] {
        background-color: var(--backgroundColorHover);
        color: var(--textColorHover);
        border-color: var(--borderColorHover);
    }
.custom-button-icon[b-e0wdzi7u0i] {
    padding: 10px;
    padding-left: 20px;
}
.custom-button-text[b-e0wdzi7u0i] {

}
/* /Shared/Components/DragAndDropFile.razor.rz.scp.css */
.modal-form-body[b-wqqa5oyyxl] {
    margin-top: 64px;
}
.img-drop[b-wqqa5oyyxl] {
    height: var(--height);
    width:  100%;
    padding: 10px;
    object-fit: contain;
}
[b-wqqa5oyyxl] .Icon-drop {
    padding: 20px;
    font-size: var(--dragAndDropImageSize);
    color: lightgray;
    transform: rotate(360deg) scaleX(-1);
}


.drop-zone[b-wqqa5oyyxl] {

    height: var(--height);
    width: var(--width);
    min-height: 100px;
    border: 2px solid lightgray;
    border-radius: 10px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    cursor:pointer;
}

    .drop-zone:hover[b-wqqa5oyyxl] {
        border: 2px solid black;
    }
        .drop-zone:hover > .Icon-drop[b-wqqa5oyyxl] {
            color: black;
        }

.image-container[b-wqqa5oyyxl] {
    padding: 10px;
    width: 100%;
    min-height: 100px;
    border: 2px solid lightgray;
    border-radius: 10px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    min-width: var(--width);
    height: var(--height);
}

    .image-container:hover[b-wqqa5oyyxl] {
        border: 2px solid #0d6806;
    }

[b-wqqa5oyyxl] .lb-text {
    color: lightgray;
    font-weight: bold;
    text-decoration: underline;
    padding-bottom: 20px;
    cursor: pointer;
}

    [b-wqqa5oyyxl] .lb-text:hover {
        color: black;
    }

[b-wqqa5oyyxl] .drop-zone .lb-browse {
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
    color: #F25900;
    cursor: pointer;
}

    [b-wqqa5oyyxl] .drop-zone .lb-browse:hover {
        color: black
    }

[b-wqqa5oyyxl] .drop-zone .lb-text {
    margin-bottom: 16px;
}

[b-wqqa5oyyxl] .drop-zone .icono-upload {
    font-size: 88px;
    color: black;
    margin-bottom: 8px;
}

.drop-zone-file[b-wqqa5oyyxl] {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    margin-bottom: 16px;
}

[b-wqqa5oyyxl] .lb-file-name {
    font-weight: 600;
    color: #F25900;
}

.circle[b-wqqa5oyyxl] {
    height: 24px;
    width: 24px;
    border-radius: 90px;
    border: 1px solid #FFFFFF;
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    color: white;
    margin-right: 16px;
}

.success_circle[b-wqqa5oyyxl] {
    background: #15B125;
    font-size: 20px;
}

@media screen and (max-width:770px) {
    [b-wqqa5oyyxl] .drop-zone .lb-text {
        display: none;
    }
}
/* /Shared/Components/IconButton.razor.rz.scp.css */
.icon-button-container[b-qaadsjm42h] {
    border: none;
    background-color: transparent;
    color: #6c757d;
}
.icon-button-container :hover[b-qaadsjm42h]{
    color:black;
}
/* /Shared/Components/InputBox.razor.rz.scp.css */
.input-box-container[b-k0e7ba96cr]
{
    width:100%;
}
.input-box[b-k0e7ba96cr] {
    width: 100%;

}
input[b-k0e7ba96cr] {
    padding: var(--Padding);
}
.Error[b-k0e7ba96cr]  {
    border: 1px solid var(--inputBorderColor); /* Cambia el color del borde */
   
    transition: border-color 0.3s ease, box-shadow 0.3s ease; /* Agrega una transición suave */
}

    .Error:focus-within[b-k0e7ba96cr] {
        border-color: var(--boxShandonwColor); /* Cambia el color del borde al enfocar el input */
        box-shadow: 0 0 5px var(--inputBorderColor); /* Cambia el color de la sombra del borde al enfocar el input */
    }

    .Error input[b-k0e7ba96cr] {
        border: none; /* Elimina el borde del input */
        width: 100%; /* Asegura que el input ocupe todo el ancho */
        box-sizing: border-box; /* Incluye el ancho del borde y el padding en el ancho total */
    }

        .Error input:focus-within[b-k0e7ba96cr] {
            border: none;
            box-shadow:none;
        }
        .Error input:focus[b-k0e7ba96cr] {
            outline: none; /* Elimina el contorno al hacer clic */
        }
textarea.input-box[b-k0e7ba96cr] {
    width: 100%;
    padding: var(--Padding);
    font-family: inherit;
    min-height:110px;
    resize: vertical; /* permite redimensionar en vertical */
    box-sizing: border-box;

    outline: none;
}

.Error textarea.input-box[b-k0e7ba96cr] {
    border: none;
    width: 100%;
    box-sizing: border-box;
}

    .Error textarea.input-box:focus[b-k0e7ba96cr] {
        outline: none;
        box-shadow: none;
    }
/* /Shared/Components/InputFiles.razor.rz.scp.css */
.custom-file-input[b-j6ltqbardq] {
    position: relative;
}

.input-file[b-j6ltqbardq] {
    display: none !important;
}

.title-component-container[b-j6ltqbardq] {
    margin-bottom: 10px;
}

.file-label[b-j6ltqbardq] {
    display: flex;
    width: 100%;
    padding: 0px 0px 0px 16px;
    cursor: pointer;
    border: 1px solid #ced4da;
    align-items: center;
    justify-content: space-between;
}

    .file-label:hover[b-j6ltqbardq] {
        background-color: #e9ecef;
    }

    .file-label span[b-j6ltqbardq] {
        font-size: calc(0.3em + 0.5vw);
        color: #707070;
        width: 100%;
    }

.icon[b-j6ltqbardq] {
    color: #707070;
}

.icon-container[b-j6ltqbardq] {
    width: 35px;
    height: 35px;
    background-color: #EEEEEE;
    display: flex;
    align-items: center;
    justify-content: center;
}

.title-component[b-j6ltqbardq] {
    font-size: 0.75rem;
    margin-left: 2px;
}

/* Botón para eliminar archivo */
.clear-button[b-j6ltqbardq] {
    background: none;
    border: none;
    color: #dc3545;
    font-size: 1rem;
    cursor: pointer;
    padding: 5px;
}

    .clear-button:hover[b-j6ltqbardq] {
        color: #a71d2a;
    }
/* /Shared/Components/MenuItem.razor.rz.scp.css */
.menu-item[b-0zg9qx1603] {
    width: 100%;
    display: flex;
    gap: 10px;
    padding: 15px;
    align-items: center;
    cursor:pointer;
    border-radius:4px;
}
    .menu-item.selected[b-0zg9qx1603] {
        background-color: #0F6CBD;
        color:white;
    }
    .menu-item:hover[b-0zg9qx1603] {
        background-color: #234581;
        color:white;
    }
/* /Shared/Components/Modal.razor.rz.scp.css */
.overlay[b-tworh1t10r] {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5); /* aquí el color gris semi-transparente */
    z-index: 999; /* asegurate que la capa esté por encima de otros elementos */
}

.modal.show[b-tworh1t10r] {
    min-height: 100vh;
    display: flex !important;
    justify-content: center;
    align-items: center
}

.modal-fullwidth[b-tworh1t10r] {
    width: 100%;
    height:100vh;
    max-width: 100%;
    border: none;
    border-radius: 0px;
    margin: 0px;
    padding: 0px;
}
/* /Shared/Components/RangeSlider.razor.rz.scp.css */
.custom-range[b-kcjydwm2ei] {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 8px;
    border-radius: 5px;
    outline: none;
    transition: background 0.3s ease;
}

    .custom-range[b-kcjydwm2ei]::-webkit-slider-thumb {
        -webkit-appearance: none;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        background: var(--thumb-color, #6c63ff);
        cursor: pointer;
        margin-top: -6px;
        transition: background-color 0.3s ease;
    }

    .custom-range[b-kcjydwm2ei]::-moz-range-thumb {
        width: 20px;
        height: 20px;
        border-radius: 50%;
        background: var(--thumb-color, #6c63ff);
        cursor: pointer;
        transition: background-color 0.3s ease;
    }

    .custom-range[b-kcjydwm2ei]::-moz-range-track {
        height: 8px;
        background: var(--track-color, #ddd);
        border-radius: 5px;
    }

    .custom-range[b-kcjydwm2ei]::-moz-range-progress {
        height: 8px;
        background: var(--fill-color, #6c63ff);
        border-radius: 5px;
    }
/* /Shared/Components/ReciclerView.razor.rz.scp.css */
.recicler-view[b-g7kiiumdqy]{
    display:flex;
    flex-direction:column;
    width:100%;
}
.recicler-view-container[b-g7kiiumdqy] {
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-height: 550px;
    padding-top: 10px;
    padding-bottom: 10px;
    overflow-y: auto;
}
.recicler-view-total-element[b-g7kiiumdqy] {
    padding: 8px;
}
.no-data-container[b-g7kiiumdqy] {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    height: 75px;
    flex-direction: column;
    font-size: 14px;
    background-color: #f7f7f7;
}

    .no-data-container span[b-g7kiiumdqy] {
        margin-top: 10px;
        font-size: 12px;
    }

    .no-data-container img[b-g7kiiumdqy] {
        max-width: 100px; /* Tamaño de la imagen */
        margin-bottom: 10px;
        opacity: 0.6;
    }
/* /Shared/Components/SearchBox.razor.rz.scp.css */

.search-input-container input[b-sl83m0bz6k] {
    border: none;
}
input[type="text"][b-sl83m0bz6k] {
    flex: 1;
    border: none;
    outline: none;
    padding: 4px 4px 4px 14px;
}

input:focus[b-sl83m0bz6k]{
    border:none;
}
input:active[b-sl83m0bz6k] {
    border: none;
}

.search-box-container[b-sl83m0bz6k] {
    display: flex;
    background-color: white;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #999999;
    height:var(--heightSearch);
}
.search-box-button[b-sl83m0bz6k] {
    height: var(--heightSearch);
    width: var(--heightSearch);
    background-color: #FFFFFF;
    border: 0.5px solid #999999;
}
.search-icon[b-sl83m0bz6k] {
    color: #999999;
}
/* /Shared/Components/SelectBox.razor.rz.scp.css */
.select-box-container[b-4pcfi3a8vg] {
    min-width: 264px;
    width: 100%;
}

.select-box-options[b-4pcfi3a8vg] {
    width: 100%;
    padding: var(--paddingSelectBox);
}

.select-box-title[b-4pcfi3a8vg] {
    color: #707070;
    font-size:14px;
}

.select-box-title-container[b-4pcfi3a8vg]{
    margin-bottom:0px;
}


.select-box-options.Error[b-4pcfi3a8vg] {
    border-color: red; /* Cambia el color del borde en caso de error */
}

    .select-box-options.Error:focus[b-4pcfi3a8vg] {
        outline: none; /* Elimina el contorno al hacer clic en caso de error */
    }
/* /Shared/Components/Tabs/TabHeader.razor.rz.scp.css */
.modal-tab[b-relfmztc2n] {
    position: relative;
    border-bottom: 1px solid transparent;

    white-space:nowrap;
}
.modal-tab-active[b-relfmztc2n] {
    position: relative;

    border-bottom: 1px solid transparent;

    white-space: nowrap;

    font-weight: bold !important;
}

    .modal-tab-active[b-relfmztc2n]::before {
        content: "";
        position: absolute;
        bottom: -2px;
        left: 0;
        width: 100%;
        height: 1px;
        box-shadow: 0px -0.5px 0px var(--tabItemSelectColor);
        background-color: var(--tabItemSelectColor);
    
    }
/* /Shared/Components/Tabs/TabPanel.razor.rz.scp.css */
.modal-tabs[b-2di2utg7tq] {
    display: flex;
    gap: 18px;
    padding-top:18px;
    padding-left:10px;

    position: relative;
    border-bottom: 1px solid var(--stepPanelBorderBottonColor);
    flex-wrap: wrap;
}
/* /Shared/Components/TextBox.razor.rz.scp.css */
.textbox-container[b-06lbu3f63x] {
    width: 100%;
}
.textbox-tittle[b-06lbu3f63x] {
    color: #707070;
    font-size: 14px;
}
.textbox-tittle-container[b-06lbu3f63x]{
   
}
.textbox-max-length[b-06lbu3f63x]{
    display:flex;
    justify-content:end;
    gap:10px;
    margin-top:4px;
}
/* /Shared/Loading/LoadingDialog.razor.rz.scp.css */
.loading-modal-header[b-aoy66429nz] {
    display: flex;
    justify-content: center;
}

.loading-modal-container[b-aoy66429nz] {
    padding: 20px;
}

.loading-modal-body[b-aoy66429nz] {
    display: flex;
    justify-content: center;
    padding: 20px;
    align-content: center;
    margin-bottom: 20px;
}

.modal-img[b-aoy66429nz] {
    width: 75%;
}

.loading-modal-tittle[b-aoy66429nz] {
    color: var(--tittleColor);
    font-weight: bold;
    font-size:1.2rem;
    margin-top:10px;
}

.loading-modal[b-aoy66429nz] {
    border: var(--borderSizeLoadingModal) solid !important;
    border-color: var(--borderLoadingModalColor) !important;
    background-color: var(--backgroundLoadingModalColor) !important;
    border-radius: var(--borderRadiusLoadingModal) !important;
    padding: 10px;
}
/* /Shared/Messages/MessageBox.razor.rz.scp.css */

.custom-modal-header[b-ldb56mcd7w] {
    display: flex;
    width:100%;
    padding:10px;
    justify-content:right;
}
    .custom-modal-header .modal-close-button[b-ldb56mcd7w]{
        border-radius:16px;
        width:32px;
        height:32px;
        border:none;
        display:flex;
        justify-content:center;
        align-items:center;
        font-size:18px;
    }

    .modal-img[b-ldb56mcd7w] {
        width: 20%;
        max-width: 120px;
        margin-top: 20px;
        margin-bottom: 10px;
    }

.custom-modal-body[b-ldb56mcd7w] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    align-items: center;
}

.custom-modal-body-content[b-ldb56mcd7w] {
    display: flex;
    justify-content: center;
    flex-direction:column;
    align-items:center;
    text-align:center;
    width:100%;
    padding:20px;
}

.custom-modal-message[b-ldb56mcd7w] {
    width: 80%;
    font-size: 10px;
    font: normal normal normal 16px/21px Segoe UI;
    font-family: 'Oswald', sans-serif;
    color: var(--textColor);
    max-height: 450px;
    overflow: hidden;
}

.custom-modal-footer[b-ldb56mcd7w] {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 20px;
    width: 100%;
}


.custom-modal-button[b-ldb56mcd7w] {
    padding: 10px;
    border-radius: 3px;
    min-width: 140px;
    border: var(--buttonBorder) solid var(--buttonBorderColor);
    color: white;
    font-weight: bold;
    background-color: var(--buttonColor);
}

.custom-modal-tittle[b-ldb56mcd7w] {
    font-weight: bold;
    margin-bottom: 15px;
    font-family: 'Oswald', sans-serif !important;
    letter-spacing: 0px;
    font: normal normal normal 24px/36px Oswald;
    color: var(--tittleColor);
    text-transform:uppercase;
}

.modal-body-tittle-container[b-ldb56mcd7w] {
    width: 100%;
    justify-content: center;
    align-items: center;
    display: flex;
}

/* /Shared/Messages/QuestionMessageBox.razor.rz.scp.css */

.custom-modal-header[b-c7wvfmicr1] {
    display: flex;
    width: 100%;
    padding: 10px;
    justify-content: right;
}

    .custom-modal-header .modal-close-button[b-c7wvfmicr1] {
        border-radius: 16px;
        width: 32px;
        height: 32px;
        border: none;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 18px;
    }
.modal-img[b-c7wvfmicr1]{
    width:120px;

    margin:20px;
}

.custom-modal-body[b-c7wvfmicr1]{
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-content:center;
    align-items:center;
}
.custom-modal-body-content[b-c7wvfmicr1] {
    display: flex;
    justify-content: center;
    overflow-x: auto;
    font-size: 0.85rem;
}
.custom-modal-message[b-c7wvfmicr1] {
    width: 80%;
    text-align: center;
   
}
ul[b-c7wvfmicr1] {
    margin-top: 0px!important;
    margin: 20px;
}
li .custom-modal-message[b-c7wvfmicr1]{
    text-align:start!important;
    width:100%;
    margin-bottom:8px;
   
}

.custom-modal-footer[b-c7wvfmicr1] {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 20px;
    width: 100%;
}

.first-button[b-c7wvfmicr1] {
    background-color: var(--firstButtonColor);
}

.second-button[b-c7wvfmicr1] {
    background-color: var(--secondButtonColor);
}
    .second-button:hover[b-c7wvfmicr1] {
        background-color: var(--secondButtonColorHover);
    }

.first-button:hover[b-c7wvfmicr1] {
    background-color: var(--firstButtonColorHover);

}

.custom-modal-button[b-c7wvfmicr1] {
    padding: 10px;
    border-radius: 3px;
    min-width: 140px;
    border: none;
    color: white;

    font-weight: bold;
}
.custom-modal-tittle[b-c7wvfmicr1] {
    font-weight: bold;
    font-family: 'Oswald', sans-serif !important;
    margin-bottom: 15px;
    color: var(--tittleColor);
    text-transform: uppercase;
}

.modal-body-tittle-container[b-c7wvfmicr1] {
    width: 100%;
    justify-content: center;
    align-items: center;
    display: flex;
    font-size: 1.2rem;
}


@media(max-width:600px){
    .custom-modal-footer[b-c7wvfmicr1] {
        display:flex;
        flex-direction:column;
    }
    .custom-modal-button[b-c7wvfmicr1]{
        width:100%;
    }
}
/* /Shared/Tables/Base/DataTable.razor.rz.scp.css */
body[b-hm7xei6i32] {
}
.datas-table[b-hm7xei6i32]{
    width:100%;
  
}
thead th[b-hm7xei6i32] {
    position: sticky;
    top: 0;
    background: white; /* Asegura que el encabezado no se mezcle con el fondo */
    z-index: 10; /* Para que quede sobre el tbody */
    border-bottom: 2px solid #ddd; /* Separación visual */
    padding: 10px;
    text-align: left;
}
.table-responsive[b-hm7xei6i32] {
    width: 100%;
    max-height: var(--HeightTable);
    overflow-x:auto;
    -webkit-overflow-scrolling:touch;
    
}

.datatable-table-bottom[b-hm7xei6i32] {
    display: flex;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 14px;
    gap:10px;
    width:100%;
    justify-content:end;
}

.btn-pagination[b-hm7xei6i32] {
    border: none;
    background-color: transparent;
    font-size: 15px;
    border:1px solid transparent;
    width:27px;
    height:27px;
   
    justify-content:center;
    align-items:center;
}
    .btn-pagination:hover[b-hm7xei6i32] {
        border-radius: 8px;
        background-color: #0d6efd;
        color: white;
    }

    .DataTable-container-pagination[b-hm7xei6i32] {

        gap:10px;
        display:flex;
    }

.DataTable-total-element[b-hm7xei6i32] {

}

.select-size-page[b-hm7xei6i32] {
    background-color: transparent;
    border: none;
}


.no-data-row[b-hm7xei6i32] {
    text-align: center;
    font-size: 18px;

    color: #6c757d;
    height: 120px; /* Altura grande */
}

.no-data-container[b-hm7xei6i32] {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    height: 75px;
    flex-direction: column;
    font-size: 14px;
    background-color: #f7f7f7;
}
    .no-data-container span[b-hm7xei6i32] {
        margin-top:10px;
        font-size: 12px;
    }

    .no-data-container img[b-hm7xei6i32] {
        max-width: 100px; /* Tamaño de la imagen */
        margin-bottom: 10px;
        opacity: 0.6;
    }
.no-data-row td:hover[b-hm7xei6i32]{
    background-color:transparent!important;
}

table[b-hm7xei6i32] {
    width: 100%;
    border-collapse: collapse; /* Para que las líneas se unan */
    border: none; /* Sin borde externo */
}
/* /Shared/Toasts/Toast.razor.rz.scp.css */
.toast[b-hgu4bvie0e] {
    position: fixed;
    top: 20px;
    z-index:1;
    right: 20px;
    padding: 15px 20px;
    color: white;
    border-radius: 5px;
    opacity: 1;
    display:initial;
    transition: opacity 0.5s ease-in-out;
}

    .toast.info[b-hgu4bvie0e] {
        background-color: #007bff;
    }

    .toast.success[b-hgu4bvie0e] {
        background-color: #28a745;
    }

    .toast.error[b-hgu4bvie0e] {
        background-color: #dc3545;
    }

    .toast.warning[b-hgu4bvie0e] {
        background-color: #ffc107;
    }
